Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77507 - kernel update 2.2.22-6.2.2enterprise (i686) won't allow raise on ulimit -c for non root users
Summary: kernel update 2.2.22-6.2.2enterprise (i686) won't allow raise on ulimit -c fo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.2
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 03:03 UTC by Arenas Belon, Carlo Marcelo
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:10 UTC


Attachments (Terms of Use)
patch to /etc/profile to set the core to the new maximum (package setup) (deleted)
2002-11-08 03:08 UTC, Arenas Belon, Carlo Marcelo
no flags Details | Diff

Description Arenas Belon, Carlo Marcelo 2002-11-08 03:03:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
when normal user logs in /etc/profile (as on the default setup package for 
RedHat 6.2) runs and try to setup ulimit -c 1000000, the hardlimit is set to 
500000, so this call always fails with the following message:

ulimit: cannot raise limit: Operation not permitted


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login as root
2. su -l ${NORMALUSER}
3.
	

Actual Results:  ulimit: cannot raise limit: Operation not permitted


Expected Results:  no error

Additional info:

considering that an error message is being shown on what is a normal procedure 
that was working before the kernel upgrade, a patch to fix the /etc/profile to 
reflect this new core size limit should be applied on postinstallation or the 
core size kept as it was before.

Comment 1 Arenas Belon, Carlo Marcelo 2002-11-08 03:08:08 UTC
Created attachment 84145 [details]
patch to /etc/profile to set the core to the new maximum (package setup)

Comment 2 Arenas Belon, Carlo Marcelo 2002-11-08 03:09:25 UTC
only tested with the i686 enterprise kernel

Comment 3 Bugzilla owner 2004-09-30 15:40:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.